Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoScaleUniformDragger Class Reference
[Draggers]

`#include <Inventor/draggers/SoScaleUniformDragger.h>`

Inheritance diagram for SoScaleUniformDragger:

List of all members.

## Detailed Description

The SoScaleUniformDragger class provides a mechanism for the end-user to scale in three dimensions.

Here's how the dragger looks with it's default geometry in the inactive state:

Use this dragger to allow the end-user of your application to scale simultaneously along all the axes.

Scaling with this dragger can only be done in a uniform manner, ie the X, Y and Z components of the SoScaleUniformDragger::scaleFactor will always be exactly equal.

See also:
  SoScale2UniformDragger

## Public Member Functions
| SoScaleUniformDragger (void)
## Static Public Member Functions
void | initClass (void)
## Public Attributes
SoSFVec3f | scaleFactor
## Protected Member Functions
| ~SoScaleUniformDragger ()
virtual SbBool | setUpConnections (SbBool onoff, SbBool doitalways=FALSE)
void | dragStart (void)
void | drag (void)
void | dragFinish (void)
## Static Protected Member Functions
void | startCB (void *f, SoDragger *d)
void | motionCB (void *f, SoDragger *d)
void | finishCB (void *f, SoDragger *d)
void | fieldSensorCB (void *f, SoSensor *s)
void | valueChangedCB (void *f, SoDragger *d)
## Protected Attributes
SoFieldSensor * | fieldSensor
SbLineProjector * | lineProj

## Constructor & Destructor Documentation

SoScaleUniformDragger::SoScaleUniformDragger | ( | void |  | ) |

| Default constructor, sets up the dragger nodekit catalog with the interaction and feedback geometry. Node kit structure (new entries versus parent class marked with arrow prefix):
      CLASS SoScaleUniformDragger
      -->"this"
            "callbackList"
            "topSeparator"
               "motionMatrix"
               "geomSeparator"
      -->         "scalerSwitch"
      -->            "scaler"
      -->            "scalerActive"
      -->         "feedbackSwitch"
      -->            "feedback"
      -->            "feedbackActive"
(See SoBaseKit::printDiagram() for information about the output formatting.) Detailed information on catalog parts:
      CLASS SoScaleUniformDragger
      PVT   "this",  SoScaleUniformDragger  ---
            "callbackList",  SoNodeKitListPart [ SoCallback, SoEventCallback ]
      PVT   "topSeparator",  SoSeparator  ---
      PVT   "motionMatrix",  SoMatrixTransform  ---
      PVT   "geomSeparator",  SoSeparator  ---
      PVT   "scalerSwitch",  SoSwitch  ---
            "scaler",  SoSeparator  ---
            "scalerActive",  SoSeparator  ---
      PVT   "feedbackSwitch",  SoSwitch  ---
            "feedback",  SoSeparator  ---
            "feedbackActive",  SoSeparator  ---
(See SoBaseKit::printTable() for information about the output formatting.)

SoScaleUniformDragger::~SoScaleUniformDragger | ( |  | ) | `[protected]`

| Protected destructor. (Dragger classes are derived from SoBase, so they are reference counted and automatically destroyed when their reference count goes to 0.)

## Member Function Documentation

void SoScaleUniformDragger::initClass | ( | void |  | ) | `[static]`

| Initializes type system for this dragger class. Application programmers should usually not have to invoke this method, see documentation of SoInteraction::init(). Reimplemented from SoDragger.

SbBool SoScaleUniformDragger::setUpConnections | ( | SbBool | onoff,
|  | SbBool | doitalways = FALSE
| ) | `[protected, virtual]`

| Sets up all internal connections for instances of this class. (This method will usually not be of interest to the application programmer, unless you want to extend the library with new custom nodekits or dragger classes. If so, see the SoBaseKit class documentation.) Reimplemented from SoInteractionKit.

void SoScaleUniformDragger::startCB | ( | void * | f,
|  | SoDragger * | d
| ) | `[static, protected]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

void SoScaleUniformDragger::motionCB | ( | void * | f,
|  | SoDragger * | d
| ) | `[static, protected]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

void SoScaleUniformDragger::finishCB | ( | void * | f,
|  | SoDragger * | d
| ) | `[static, protected]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

void SoScaleUniformDragger::fieldSensorCB | ( | void * | d,
|  | SoSensor * | s
| ) | `[static, protected]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer. Reimplemented from SoInteractionKit.

void SoScaleUniformDragger::valueChangedCB | ( | void * | f,
|  | SoDragger * | d
| ) | `[static, protected]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

void SoScaleUniformDragger::dragStart | ( | void |  | ) | `[protected]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer. Called when dragger is selected (picked) by the user.

void SoScaleUniformDragger::drag | ( | void |  | ) | `[protected]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer. Called when user drags the mouse after picking the dragger.

void SoScaleUniformDragger::dragFinish | ( | void |  | ) | `[protected]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer. Called when mouse button is released after picking and interacting with the dragger.

## Member Data Documentation

SoSFVec3f SoScaleUniformDragger::scaleFactor

| Continuously updated to contain the current vector of scaling along the X, Y and Z axes.

SoFieldSensor * SoScaleUniformDragger::fieldSensor`[protected]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer. Reimplemented from SoInteractionKit.

SbLineProjector * SoScaleUniformDragger::lineProj`[protected]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

The documentation for this class was generated from the following files:

- SoScaleUniformDragger.h
- SoScaleUniformDragger.cpp